Page MenuHomePhabricator

<title> is empty in the Sanskrit Wikipedia
Closed, ResolvedPublic

Description

Pages have no <title> in the Sanskrit Wikipedia, probably because of 1.19 upgrade.

Try here: https://sa.wikipedia.org/wiki/Gasoline

I don't see a title in the browser window's title bar, and i see <title></title> after <head> in the HTML source.

It works in other languages i tried, like Hindi, which is written in the same script.


Version: unspecified
Severity: critical

Details

Reference
bz34938

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:09 AM
bzimport set Reference to bz34938.
Amire80 created this task.Mar 3 2012, 4:14 PM
hashar added a comment.Mar 5 2012, 3:09 PM

Seems to work fine whenever we use english for the user interface: https://sa.wikipedia.org/wiki/Gasoline?uselang=en

I have deployed change with r113129, seems some cache need a cleanup :-)

Reopening since even after March 6th 20:30 scap, the title is still showing wrongly on https://sa.wikipedia.org/wiki/Gasoline?uselang=en . This mean there is either another issue in MediaWiki to fix, or an issue on Wikimedia servers.

For SA:

$ mwscript eval.php sawiki

var_dump( wfMessage( 'pagetitle' )->plain() );

string(0) ""

For EN:
mwscript eval.php enwiki

var_dump( wfMessage( 'pagetitle' )->plain() );

string(37) "$1 - Wikipedia, the free encyclopedia"

l10nupdate runs every day around 2am UTC and generates a serialized cache file:

/home/wikipedia/common/php-1.19/cache/l10n/l10nupdate-sa.cache

Loading it locally with

$ar = unserialize( file_get_contents( 'l10nupdate-sa.cache' ) );
var_dump( $ar['pagetitle'] );

Gives us a nice: string(0) ""

So the cache is faulty :-(

Trying to rebuild cache again.

Seeing the title, Works for me.

(In reply to comment #7)

Seeing the title, Works for me.

Also on https://sa.wikipedia.org/wiki/Gasoline?action=purge ?

(In reply to comment #8)

(In reply to comment #7)

Seeing the title, Works for me.

Also on https://sa.wikipedia.org/wiki/Gasoline?action=purge ?

Yes, also on any page using https://sa.wikipedia.org/wiki/Special:RandomPage

I still see empty <title>s everywhere. Not really a code-update-regression, since it is just LocalisationCache or LocalisationUpdate that is again acting up.

commit a613ec85f81b703dd1058eaf1bdc512b81e3c1a3 from March 14th 2012 introduce an empty pagetitle again :-(

+'pagetitle' => '',

Changed it with https://gerrit.wikimedia.org/r/5388

Pending review then we will be able to deploy it :-)

I attempted deploying change 5388 this morning but faced an issue with the l10nupdate script which has hit a file permission error.

See bug 36120

Seems Roan fixed the l10nupdate file permissions on April 20th. The issue seems to be solved now when I am browsing sawiki (tested http://sa.wikipedia.org/w/index.php?title=Gasoline&redirect=no while logged in).